Fehler beim Serverstart (MySQL Plugin)

  • Server
  • Linux

Diese Seite verwendet Cookies. Durch die Nutzung unserer Seite erklären Sie sich damit einverstanden, dass wir Cookies setzen. Weitere Informationen

  • Fehler beim Serverstart (MySQL Plugin)

    Aloha!

    nachdem ich nun meinen Script auf MySQL R41-4 geschrieben habe kommen mir Probleme zum Vorschein die sich leider nicht lösen lassen.

    Egal mit welchem Plugin, ob das normale Plugin für Debian oder die Static Version jedes zeigt mir jedoch Fehlermeldungen an.

    Hab mal beide in die config geschrieben und geladen.

    Beide Fehler sind nun unten zu sehen.

    Log schrieb:

    SA-MP Dedicated Server
    ----------------------
    v0.3.7-R2, (C)2005-2015 SA-MP Team

    [13:50:01] filterscripts = "" (string)
    [13:50:01]
    [13:50:01] Server Plugins
    [13:50:01] --------------
    [13:50:01] Loading plugin: mysql.so
    [13:50:01] Failed (libmysqlclient.so.18: wrong ELF class: ELFCLASS64)
    [13:50:01] Loading plugin: mysqlstatic.so
    [13:50:01] Failed (/usr/lib32/libstdc++.so.6: version `GLIBCXX_3.4.19' not found (required by plugins/mysqlstatic.so))
    [13:50:01] Loaded 0 plugins.
    [13:50:01]
    [13:50:01] Filterscripts
    [13:50:01] ---------------
    [13:50:01] Loaded 0 filterscripts.

    [13:50:01] Script[gamemodes/script.amx]: Run time error 19: "File or function is not found"
    [13:50:01] Number of vehicle models: 0

    Ich danke schonmal für jegliche Hilfestellung.

    Keinen festen Server!

    Teste gerne jegliche Server, schreibt mir!



    Als DJ ununterbrochen in meiner Residenz!

    Facebookpage

  • Also nur falls es klappt, man lädt nur entweder mysql.so oder mysql_static.so, nicht beide ^^

    Das hier sollte helfen:

    Quellcode

    1. apt-get update
    2. apt-get upgrade
    3. apt-get install ia32-libs
    4. apt-get install libstc++6


    Leute, lernt scripten und versucht mal lieber etwas selber zu schreiben, als es aus einem GF zu kopieren. X/
  • Leider beides probiert jedoch funktioniert nix von beiden :/




    Server schrieb:

    root@server:~# apt-get install ia32-libs

    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    Some packages could not be installed. This may mean that you have
    requested an impossible situation or if you are using the unstable
    distribution that some required packages have not yet been created
    or been moved out of Incoming.
    The following information may help to resolve the situation:

    The following packages have unmet dependencies:
    ia32-libs : Depends: ia32-libs-i386 but it is not installable
    E: Unable to correct problems, you have held broken packages.
    root@server:~# apt-get install libstc++6
    Reading package lists... Done
    Building dependency tree
    Reading state information... Done
    E: Unable to locate package libstc++6
    E: Couldn't find any package by regex 'libstc++6'
    root@vps-zap338090-1:~#

    Keinen festen Server!

    Teste gerne jegliche Server, schreibt mir!



    Als DJ ununterbrochen in meiner Residenz!

    Facebookpage